Skip to main content
GET
/
users
/
{userId}
Get a single user by ID
curl --request GET \
  --url https://api.eu.bronto.io/users/{userId} \
  --header 'X-BRONTO-API-KEY: <api-key>'
import requests

url = "https://api.eu.bronto.io/users/{userId}"

headers = {"X-BRONTO-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-BRONTO-API-KEY': '<api-key>'}};

fetch('https://api.eu.bronto.io/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "first_name": "John",
  "last_name": "Doe",
  "email": "john@company.com",
  "roles": [
    "ReadOnly",
    "Standard"
  ],
  "last_logins": {
    "Okta": 1731370728,
    "Password": 1731338939
  },
  "login_methods": {},
  "tags": {
    "region": "eu",
    "environment": "production"
  }
}
{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}
{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}
{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}
{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}
{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}

Authorizations

X-BRONTO-API-KEY
string
header
required

Path Parameters

userId
string<uuid>
required

The unique identifier of the user to retrieve

Response

User details retrieved successfully

id
string<uuid>
required

The unique identifier for the user

first_name
string
required

The user's first name

Example:

"John"

last_name
string
required

The user's last name

Example:

"Doe"

email
string<email>
required

The user's email address

Example:

"john@company.com"

roles
string[]

A list of role ids

Example:
["ReadOnly", "Standard"]
last_logins
object

A map of login methods to their last login timestamps (Unix epoch).

Example:
{
"Okta": 1731370728,
"Password": 1731338939
}
login_methods
object
tags
object

A map of key value pairs associated with this log

Example:
{
"region": "eu",
"environment": "production"
}